# Blinking the onboard LED 
# compares to Arduino blink sketch
# CC0 code from www.tinkerfarm.net

# import the machine module to use GPIO pins
import machine

# import the time module for sleep function
import utime

# create an object for the LED, set it to GP25 and make it an output
# there is an LED built in on GP25 (no corresponding exposed physical pin) 
led_onboard = machine.Pin(25, machine.Pin.OUT)

# since true is always true this loops forever
while True:
    # set led pin high, which applies power
    led_onboard.value(1)
    # delay for one second
    utime.sleep(1)
    # set led pin low, which removes power
    led_onboard.value(0)
    # delay for one second
    utime.sleep(1)
    
# you can terminate this program using the stop icon
# if your led is on after stop enter
# pin = machine.Pin(25)
# pin.value(0)
# in the shell window

# to have the pico run a program at power up
# save it as main.py