# Demonstrate buzzer and threads
# CC0 code from www.tinkerfarm.net

# circuit
# keep the circuit from 3_button.py
    #  Jumper physical pin 3 (GND) to left breadboard blue GND rail.
    #  Jumper physical pin 36 (3V3) to left breadboard red Power rail.
    #  Place a LED across the trench in the breadboard
    #   with the positive (long) leg of the LED on the left side.
    #  Insert a 330 ohm (brown) resistor from GP13 (physical pin 17) to
    #   the positive row of the LED.
    #  Jumper negative row of the LED to ground rail.
    #  Insert a button across the trench.
    #  Jumper power rail to left button row.
    #  Jumper the other (diagonal) button row on the right side to GP9 (physical pin 12)
# Connect the + pin of the buzzer to physical GP2 (physical pin 4)
# Connect the - pin of the buzzer to the GND rail

# import modules including one for threads
import machine
import utime
import _thread

# assign GP pins to objects
led = machine.Pin(13, machine.Pin.OUT)
button = machine.Pin(9, machine.Pin.IN, machine.Pin.PULL_DOWN)
buzzer = machine.Pin(2, machine.Pin.OUT)


# create a function blinking the led, running as a separate thread.
def blinky_thread():
    while True:
        # toggle statement reverses the value assigned to the LED pin
        led.toggle()
        utime.sleep(.5)       
            
# start the thread that runs the continuous blinking       
_thread.start_new_thread(blinky_thread, ())

# run this main program forever even while blinking
while True:
    # beep if the button is being pressed
    if button.value() == 1:
        buzzer.toggle()
        utime.sleep(.1)
        
    # if not then silence
    else:
        buzzer.value(0)